<?php 
include('../../../../configuracion.php');
include('../config.php');
$id = isset($_GET['id']) ? $_GET['id'] : NULL;
$datos = $db->row(TABLA,'*',"id='$id'");

$nombre = isset($_POST['nombre']) ? $_POST['nombre'] : NULL;
$usuario = isset($_POST['usuario']) ? $_POST['usuario'] : NULL;
$email = isset($_POST['email']) ? $_POST['email'] : NULL;
$email = strtolower($email);
$telefono = isset($_POST['telefono']) ? $_POST['telefono'] : NULL;
$clave = isset($_POST['clave']) ? $_POST['clave'] : NULL;
$nivel = (isset($_POST['nivel']) and $_POST['nivel']!="") ? $_POST['nivel'] : 0;
$permisos = isset($_POST['permisos']) ? $_POST['permisos'] : NULL;

if(isset($permisos) and count($permisos)>0){ $permisos = implode(",",$permisos);}

//$nivel = 1;

$editor = $_SESSION['administrador_mago_id'];
$fecha = date('Y-m-d H:i:s');

    $datos = array(
        'nombre'			=> $db->string($nombre),
        'usuario'			=> $db->string($usuario),
        'email'				=> $db->string($email),
        'nivel'				=> @$nivel+0,
        'permisos'			=> $db->string($permisos),
        'editor'			=> @$editor+0,
        'fecha_edicion'		=> $db->string($fecha)
    );

    if ($db->update(TABLA,$datos,"id='{$id}'")==1) {
        $mensaje_respuesta = 'Edición exitosa.';
        $url_respuesta = MAGO."c/".MODULO;
    } else {
        $mensaje_respuesta = 'ERROR: No se pudo editar';
        $url_respuesta = MAGO."c/".MODULO."/editar/".$id;
    }
            
    // Si se cambia la clave de acceso
    if(!empty($clave)) {
            $clave = md5($clave);
            $datos = array(
                'clave'			=> $db->string($clave)
            );
            
                if ($db->update(TABLA,$datos,"id='{$id}'")==1) {
                    $mensaje_respuesta = $mensaje_respuesta.' La clave fue editada de forma correcta.';
                } else {
                    $mensaje_respuesta = $mensaje_respuesta.' ERROR: Hubo un problema al editar la clave.';
                }
            
    }

echo $mensaje_respuesta.'|'.$url_respuesta;
exit;
?>